# esys.pycad Package

## Classes

- `Arc`
- `ArcBase`
- `BSpline`
- `BezierCurve`
- `Curve`
- `CurveBase`
- `CurveLoop`
- `Dilation`
- `Ellipse`
- `EllipseBase`
- `Line`
- `Manifold1D`
- `Manifold2D`
- `Manifold3D`
- `PlaneSurface`
- `Point`
- `Primitive`
- `PrimitiveBase`
- `PropertySet`
- `Reflection`
- `ReverseArc`
- `ReverseCurve`
- `ReverseCurveLoop`
- `ReverseEllipse`
- `ReversePlaneSurface`
- `ReversePrimitive`
- `ReverseRuledSurface`
- `ReverseSurfaceLoop`
- `Rotatation`
- `RuledSurface`
- `Spline`
- `SurfaceLoop`
- `TagMap`
- `Transformation`
- `Translation`
- `Volume`

## Functions

## Others

- DEG
- RAD
- __author__
- __builtins__
- __copyright__
- __doc__
- __file__
- __license__
- __name__
- __nodocorecursion
- __package__
- __path__
- __url__
- division
- global_primitive_id_counter
- global_tolerance_for_colocation
- numpyImported
- print_function